Solved "Could not connect to repository"
#46
Fwiw, I am experiencing this as well on one of my machines.

Code:
8:09:13.034 T:2609904448   ERROR: CCurlFile::Open failed with code 0 for https://mirrors.kodi.tv/addons/leia/plugin.audio.radio_de/plugin.audio.radio_de-2.3.2.zip:
08:09:13.034 T:2609904448   ERROR: Could not fetch addon location and hash from https://mirrors.kodi.tv/addons/leia/plugin.audio.radio_de/plugin.audio.radio_de-2.3.2.zip
08:09:13.044 T:2609904448   ERROR: CAddonInstallJob[plugin.audio.radio_de]: failed to resolve addon install source path

Kodi version is Kodi (18.0-BETA3 Git:20180919-fea8a29). Platform: Linux x86 32-bit, Running on Ubuntu 16.04.5 LTS, kernel: Linux x86 32-bit version 4.4.0-135-generic, Host CPU: Intel® Pentium® 4 CPU 3.00GHz, 2 cores available.

Downloading the required addon directly from the mirror and installing via zip works fine.
Learning Linux the hard way !!
Reply
#47
I tried a nightly build again yesterday and this still isn't resolved.

When will the nightly builds have the new version of curl?
Reply
#48
if curl is the issue, you can download it from https://curl.haxx.se/download.html (in the past I fixed a similar problem extracting libcurl.dll from Stefan Kanthak cab file).
I'll try and report back...
edit:
Kodi 16b2 on NUC6CAYS
I installed libcurl.dll from https://skanthak.homepage.t-online.de/do...7.61.1.cab and got same error.
then I replaced libeay32.dll with the one from openssl-0.9.8h-1-bin.zip (https://datapacket.dl.sourceforge.net/pr...-1-bin.zip) and it worked!

I think openSSL need to be checked.
Reply
#49
(2018-09-24, 22:16)ilGimmy Wrote: if curl is the issue, you can download it from https://curl.haxx.se/download.html (in the past I fixed a similar problem extracting libcurl.dll from Stefan Kanthak cab file).
I'll try and report back...
edit:
Kodi 16b2 on NUC6CAYS
I installed libcurl.dll from https://skanthak.homepage.t-online.de/do...7.61.1.cab and got same error.
then I replaced libeay32.dll with the one from openssl-0.9.8h-1-bin.zip (https://datapacket.dl.sourceforge.net/pr...-1-bin.zip) and it worked!

I think openSSL need to be checked.
Will we see openSSL updated in the nightly builds then?

This bug is still present in nightly builds last I checked.
Reply
#50
I have installed kodi on android tv ,and i can not install nothing from repository,it is keep coming eror "could not connect to repository"
Reply
#51
(2018-10-11, 17:27)bokod Wrote: I have installed kodi on android tv ,and i can not install nothing from repository,it is keep coming eror "could not connect to repository"
Sorry, we have no crystal ball here. Please provide a debug log (wiki) for starters, or tell us at least which repository this is about.
Got a Kodi problem? Provide a full Debug log (wiki) | Usefull pages: First time user (wiki) | Troubleshooting (wiki) | Free content (wiki) | Forum rules (wiki) | VPN policy (wiki)
Reply
#52
Just installed Latest nightly compiled on the 10th October onto a brand new Intel NUC Mini Pc running Windows 10 Pro and cannot install anything from Kodi Official repository. Also tried the Beta 3 build, but seeing exactly the same behaviour. Tried installing Netflix, Amazon and Artwork Beef repo's, but none install. I just get a dialog saying 'Could Not Connect to Repository'.
Strangely, the EmbyCon addon installed no problem from the Emby beta repo, so at least one repository seems to be working.

Debug Log attached: https://pastebin.com/ewBsCN4a
Reply
#53
(2018-10-11, 17:31)Klojum Wrote:
(2018-10-11, 17:27)bokod Wrote: I have installed kodi on android tv ,and i can not install nothing from repository,it is keep coming eror "could not connect to repository"
Sorry, we have no crystal ball here. Please provide a debug log (wiki) for starters, or tell us at least which repository this is about. 
 Multiple debug logs have been posted in this thread and the Kodi Team hasn't responded to any of them or acknowledged this as a bug.
Reply
#54
Update - Downloaded Windows 32bit version of Kodi, as suggested earlier in this thread and works with no problem. After installing all my regular addons from their relevant repositories, I wondered if I would be able to update to the 64bit version, which I was able to successfully install and my addons are still working fine. Only problem is, whilst the repositories are accessible, if I try to install anything new it fails.

Does this mean I'm going to be limited to the 32bit version of Kodi only? Grateful for any feedback.....
Reply
#55
64bit works just fine for installing from Kodi repo
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
Reply
#56
(2018-10-14, 14:04)Martijn Wrote: 64bit works just fine for installing from Kodi repo
 This bug is only on 64-bit with certain Intel processors where curl is seeing a different digest on everything from what it expects. Multiple people are reporting this. Debug logs have been posted multiple times. But it seems no one will ever acknowledge this bug or fix it.

20:40:33.237 T:6268   ERROR: CCurlFile::FillBuffer - Failed: SSL connect error(35)
20:40:33.237 T:6268   ERROR: CRepository: http://mirrors.kodi.tv/addons/leia/addons.xml.gz index has wrong digest 649b934c649b934c7852b8557852b85527ae41e4649b934ca495991b7852b855, expected: 915f09cd6841766459c48bfa79bf3f601d436983ef3e0cd547991413aca50006
20:40:46.977 T:6268   ERROR: XFILE::CDirectory::GetDirectory - Error getting
20:40:50.660 T:6268   ERROR: Previous line repeats 6 times.
20:40:50.660 T:6268  NOTICE: VideoInfoScanner: Starting scan ..
20:40:52.607 T:6268   ERROR: CCurlFile::FillBuffer - Failed: SSL connect error(35)
20:40:52.607 T:6268   ERROR: CCurlFile::Open failed with code 0 for https://api.tmdb.org/3/search/movie?api_...anguage=en:
20:40:52.607 T:6268   ERROR: ADDON::CScraper::Run: Unable to parse web site
Reply
#57
Will you fix it?
If not then you will have to wait till someone finds time, figures out why and then try to solve.
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
Reply
#58
(2018-10-14, 14:04)Martijn Wrote: 64bit works just fine for installing from Kodi repo

Really? I've just downloaded the latest 64bit version within the last 45 mins from the official Kodi repository and this is what I get:-
ImageImage

ImageImage

Image
The 3 addons pictured above were all attempted to be installed from the official Kodi repository and all failed as you can clearly see. The only other repo's I have installed from the previous 32 bit installation are Netflix, Amazon, Skin Helper Script and Artwork Beef which all work in that version of Kodi, but not in the 64bit version.

A log has previously been submitted, so not sure what additional information I can provide?
Grateful if you could advice what else users can do to advance this forward as an issue?
Reply
#59
(2018-10-14, 19:02)Martijn Wrote: If not then you will have to wait till someone finds time, figures out why and then try to solve.
oops! Just seen this reply was posted prior to my last post.....soz
Okay, fair enough. Happy enough to continue with the 32bit version just now.
Maybe the images I posted will be of some use still.....
Reply
#60
As tested by me in a previous post, is just a matter of replacing cURL and OpenSSL libraries with newer (?) versions.
I don’t know how cURL/OpenSSL is compiled in Kodi, but maybe some optimization doesn’t work with NUC Celeron CPU.
You can use latest cURL and an OpenSSL build providing libeay32.dll.
Reply



Logout Mark Read Team Forum Stats Members Help
"Could not connect to repository"0
This forum uses Lukasz Tkacz MyBB addons.